Summary:   X Font Server for TrueType fonts
Name:      xfstt
Version:   1.1
Release:   2
Source:    ftp://sunsite.unc.edu/pub/Linux/X11/fonts/%{name}-%{version}.tar.gz
Source1:   xfstt.init
Copyright: LGPL
Group:     X11/Utilities
BuildRoot: /tmp/%{name}-%{version}-root

%description
xfstt means "X11 Font Server for TT fonts".
TT fonts are generally regarded to be the best scalable fonts
for displays. Applications that need scalable fonts for display
on low resolution devices like screens benefit most.
This server will allow X11 applications to use the exact same
fonts as the TrueType fonts used on most Windows Machines.
NB: This package contains NO FONTS. They MUST be obtained separately.

%prep

%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS -DMAGNIFY=0 -DNDEBUG"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -d $RPM_BUILD_ROOT/usr/share/fonts/truetype
install -d $RPM_BUILD_ROOT/var/cache/xfstt
install -s -m755 xfstt $RPM_BUILD_ROOT/usr/X11R6/bin/xfstt
install -m444 xfstt.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1/xfstt.1x
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfstt

%pre
if [ -f /var/lock/subsys/xfstt ]; then
   /etc/rc.d/init.d/xfstt stop
fi

# adds "inet/127.0.0.1:7101" to the list of searchable fonts
if [ -r /etc/X11/XF86Config ]; then
   if grep "FontPath.*7101" /etc/X11/XF86Config > /dev/null
   then
      /bin/true
   else
      LINE=`grep -n "FontPath" /etc/X11/XF86Config | cut -d: -f1 | tail -1`
      TOTAL=`wc -l < /etc/X11/XF86Config`
      head -$LINE /etc/X11/XF86Config > /tmp/XF86Config.$$ \
      && echo "    FontPath    \"inet/127.0.0.1:7101\"" >> /tmp/XF86Config.$$ \
      && tail -`expr $TOTAL - $LINE` /etc/X11/XF86Config >> /tmp/XF86Config.$$ \
      && cat /tmp/XF86Config.$$ > /etc/X11/XF86Config \
      && rm /tmp/XF86Config.$$
   fi
else
   echo "To use xfstt font automatically add :"
   echo "inet/127.0.0.1:7101"
   echo "To your Xservers fontpath"
   echo "For AcceleratedX see the [FONTPATH] section"
fi

%post
/sbin/chkconfig --add xfstt

if [ -e "/usr/X11R6/lib/X11/fonts/ttfonts" ]; then
  echo ""
  echo "NOTICE: It appears you have installed fonts in"
  echo "/usr/X11R6/lib/X11/fonts/ttfonts from a previous"
  echo "version of xfstt. This has been changed and xfstt"
  echo "now uses /usr/share/fonts/truetype. Please place"
  echo "any truetype fonts in that location."
  echo ""
fi

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/xfstt ]; then
      /etc/rc.d/init.d/xfstt stop
   fi
   /sbin/chkconfig --del xfstt
fi

%postun
if [ $1 = 0 ]; then
    if [ -r /etc/X11/XF86Config ]; then
        egrep -v "FontPath.*7101" /etc/X11/XF86Config > /etc/X11/XF86Config.$$ ;
        mv /etc/X11/XF86Config.$$ /etc/X11/XF86Config
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING FAQ INSTALL THANKS.txt font.properties
%config /etc/rc.d/init.d/xfstt
/usr/X11R6/bin/xfstt
%attr(-,root,man) /usr/X11R6/man/man1/xfstt.1x
%dir /usr/share/fonts/truetype
%dir /var/cache/xfstt

%changelog
* Fri Feb 11 2000 Arne Coucheron <arneco@online.no>
  [1.1-2]
- a small change in the init file

* Thu Feb 10 2000 Arne Coucheron <arneco@online.no>
  [1.1-1]

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [1.0-1]

* Sat Jun 12 1999 Arne Coucheron <arneco@online.no>
  [0.9.99-2]
- xfstt's cache dir changed to /var/cache/xfstt to avoid problems when
  people run xfstt --sync manually
- compiled on Red Hat 6.0

* Thu Apr 29 1999 Arne Coucheron <arneco@online.no>
  [0.9.99-1]
- port changed to 7101
- fonts dir changed to /usr/share/fonts/truetype

* Sun Oct 25 1998 Arne Coucheron <arneco@online.no>
  [0.9.10-1]
- added -q parameter to %setup
- added check for uninst/upgrade in %postun

* Tue Jun 02 1998 Arne Coucheron <arneco@online.no>
  [0.9.9-1]
- changed the init script to behave better
- changed the ttfonts dir from /usr/ttfonts to /usr/X11R6/lib/X11/fonts/ttfonts
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- added use of $RPM_OPT_FLAGS
- added striping of the binary

* Tue May 12 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>

- Added more to the %pre, %post, %preun and %postun tag to the specfile

* Tue May 5 1998  Ian Macdonald <ianmacd@xs4all.nl>

- Added post-install and post-uninstall scripts

* Thu Apr 30 1998  Ian Macdonald <ianmacd@xs4all.nl>

- Re-added start-up script for xfstt